html[data-theme="light"],
html {
  --amber-100: #fef3c7;
  --amber-200: #fde68a;
  --cyan-600: #0891b2;
  --cyan-700: #0e7490;
  --cyan-900: #164e63;
  --emerald-100: #d1fae5;
  --rose-100: #ffe4e6;
  --rose-600: #e11d48;
  --rose-700: #be123c;
  --slate-50: #f8fafc;
  --slate-100: #f1f5f9;
  --slate-200: #e2e8f0;
  --slate-300: #cbd5e1;
  --slate-400: #94a3b8;
  --slate-500: #64748b;
  --slate-600: #475569;
  --slate-700: #334155;
  --slate-800: #1e293b;
  --slate-900: #0f172a;
  --slate-950: #020617;
  --sky-200: #bae6fd;
  --sky-300: #7dd3fc;
  --sky-500: #0ea5e9;

  --primary: var(--slate-800);
  --secondary: var(--slate-700);
  --accent: var(--amber-200);
  --primary-fg: var(--accent);

  --body-fg: var(--slate-700);
  --body-bg: var(--slate-50);
  --body-quiet-color: var(--slate-600);
  --body-loud-color: var(--slate-900);

  --header-color: var(--accent);
  --header-branding-color: var(--accent);
  --header-bg: var(--slate-700);
  --header-link-color: var(--primary-fg);

  --breadcrumbs-fg: var(--slate-300);
  --breadcrumbs-link-fg: var(--body-bg);
  --breadcrumbs-bg: var(--primary);

  --link-fg: var(--cyan-700);
  --link-hover-color: var(--cyan-900);
  --link-selected-fg: var(--cyan-600);

  --hairline-color: var(--slate-200);
  --border-color: var(--slate-400);

  --error-fg: var(--rose-700);

  --message-success-bg: var(--emerald-100);
  --message-warning-bg: var(--amber-100);
  --message-error-bg: var(--rose-100);

  --darkened-bg: var(--slate-100); /* A bit darker than --body-bg */
  --selected-bg: var(--slate-200); /* E.g. selected table cells */
  --selected-row: var(--amber-100);

  --button-fg: var(--slate-50);
  --button-bg: var(--secondary);
  --button-hover-bg: var(--primary);
  --default-button-bg: var(--primary);
  --default-button-hover-bg: var(--secondary);
  --close-button-bg: var(--slate-600);
  --close-button-hover-bg: var(--slate-800);
  --delete-button-bg: var(--rose-600);
  --delete-button-hover-bg: var(--rose-700);

  --font-family-primary: -apple-system, BlinkMacSystemFont, "Segoe UI",
    system-ui, Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji",
    "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  --font-family-monospace: ui-monospace, Menlo, Monaco, "Cascadia Mono",
    "Segoe UI Mono", "Roboto Mono", "Oxygen Mono", "Ubuntu Monospace",
    "Source Code Pro", "Fira Mono", "Droid Sans Mono", "Courier New", monospace,
    "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}

@media (prefers-color-scheme: dark) {
  :root {
    --primary: var(--slate-950);
    --primary-fg: var(--slate-300);
    --body-fg: var(--slate-200);
    --body-bg: var(--slate-900);
    --breadcrumbs-bg: var(--primary);
    --hairline-color: var(--slate-700);
    --darkened-bg: var(--slate-950);
    --header-bg: var(--slate-800);

    --button-bg: var(--slate-800);
    --button-hover-bg: var(--slate-700);
    --default-button-bg: var(--slate-700);
    --default-button-hover-bg: var(--slate-600);
    --close-button-bg: var(--default-button-bg);
    --close-button-hover-bg: var(--default-button-hover-bg);
  }
}

html[data-theme="dark"] {
  --primary: var(--slate-950);
  --primary-fg: var(--slate-300);
  --body-fg: var(--slate-200);
  --body-bg: var(--slate-900);
  --breadcrumbs-bg: var(--primary);
  --hairline-color: var(--slate-700);
  --darkened-bg: var(--slate-950);
  --header-bg: var(--slate-800);

  --button-bg: var(--slate-800);
  --button-hover-bg: var(--slate-700);
  --default-button-bg: var(--slate-700);
  --default-button-hover-bg: var(--slate-600);
  --close-button-bg: var(--default-button-bg);
  --close-button-hover-bg: var(--default-button-hover-bg);
}

select {
  height: initial;
}

th,
td {
  vertical-align: middle;
}

kbd {
  background: linear-gradient(to right, #8884, #fff4, #fff4, #8884);
  border: 1px solid #888;
  border-radius: 0.15rem;
  display: inline-block;
  padding: 0 0.2rem;
  margin: 0 0.2rem;
}

table,
fieldset,
div.breadcrumbs,
.login #container,
.results,
.paginator,
.errornote,
.submit-row,
.paginator a:not(.showall),
.submit-row a.deletelink,
.object-tools a.addlink,
.historylink,
.messagelist,
.paginator .this-page,
#changelist-filter,
#toolbar,
#header,
#content-related,
#result_list > tbody > tr > th a,
input[type="text"],
input[type="password"],
input[type="email"],
input[type="url"],
input[type="number"],
input[type="tel"],
textarea,
select,
#nav-filter,
.vTextField,
.button,
input[type="submit"],
input[type="button"],
a.button,
.submit-row input {
  box-shadow: 0 0.2rem 0.4rem #0002 !important;
}

.login .submit-row {
  box-shadow: none !important;
}

input[type="text"],
input[type="password"],
input[type="email"],
input[type="url"],
input[type="number"],
input[type="tel"],
textarea,
select,
#nav-filter,
.vTextField {
  transition: background-color 150ms ease-in-out, border-color 150ms ease-in-out;
  background-color: var(--darkened-bg);
  padding: 0.5rem 0.7rem;
}

:is(
    input[type="text"],
    input[type="password"],
    input[type="email"],
    input[type="url"],
    input[type="number"],
    input[type="tel"],
    textarea,
    select,
    #nav-filter,
    .vTextField
  ):focus {
  background-color: var(--body-bg);
  border-color: var(--body-fg);
  outline: none;
}

#toggle-nav-sidebar,
#nav-sidebar,
#nav-sidebar .module table tr:nth-child(2n + 1),
#nav-sidebar .module table tr:nth-child(2n) {
  background-color: var(--slate-900);
}

#toggle-nav-sidebar,
#nav-sidebar,
#nav-sidebar .module table :is(th, td) {
  border-color: var(--slate-700);
}

#nav-sidebar {
  box-shadow: 0.2rem 0 0.4rem #0002;
  transition: 300ms ease-in-out;
}

#nav-sidebar .module table tr.current-model {
  background-color: var(--slate-800);
}

#nav-sidebar .module table tr.current-model th a {
  color: var(--accent);
}

#nav-sidebar .module table :is(th, td) {
  height: 2.5rem;
  padding: 0;
}

#nav-sidebar .module table :is(th, td) > a {
  color: var(--sky-300);
}

#nav-sidebar .module table th > a {
  align-items: center;
  padding-left: 1rem;
  display: flex;
  height: 100%;
}

#nav-sidebar .module table td > a {
  padding: 0.3rem 0.4rem 0.3rem 1.2rem;
  background-color: var(--button-bg);
  background-position-x: 0.25rem;
  background-position-y: center;
  margin-right: 0.5rem;
  border-radius: 4px;
}

#nav-sidebar .module table td > a:hover {
  background-color: var(--button-hover-bg);
}

#nav-sidebar .module table :is(th, td) > a:hover {
  color: var(--sky-500);
}

#content-start {
  transition: 250ms ease-in-out 500ms;
}

.results {
  margin-bottom: 1rem;
  margin-top: 0.25rem;
}

#result_list > tbody > tr > :is(th, td, :is(th, td) > *) {
  text-overflow: ellipsis;
  white-space: nowrap;
  max-width: 14rem;
  overflow: hidden;
}

#result_list .media_src {
  border: 1px solid var(--border-color);
  vertical-align: middle;
  border-radius: 4px;
  object-fit: cover;
  height: 1.55rem;
  width: 2.55rem;
  padding: 1px;
}

#result_list > tbody > tr > th a {
  display: inline-flex;
  border-radius: 4px;
}

#result_list .edit-button {
  transition: background-color 200ms ease-in-out;
  background-color: var(--darkened-bg);
  border-radius: 4px;
  padding: 0.4rem;
}

#result_list .edit-button:hover {
  background-color: var(--object-tools-bg);
}

.paginator .this-page,
.paginator a:not(.showall) {
  padding: 0.3rem 0.45rem;
  display: inline-block;
  border-radius: 4px;
  margin: 0 0.075rem;
  line-height: 1;
}

.paginator a:not(.showall) {
  background-color: var(--button-bg);
}

.paginator a:not(.showall):hover {
  background-color: var(--button-hover-bg);
}

.paginator .this-page {
  background-color: var(--slate-500);
  color: var(--button-fg);
}
